NuruPayDocs
Events

Retrieve an event

GET
/v1/events/{id}

Fetch an event by the id a webhook delivered, e.g. to confirm a webhook is genuine.

Authorization

apiKey
AuthorizationBearer <token>

Authorization: Bearer np_test_sk_…. The key's prefix selects test or live mode.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/events/string"
{  "id": "string",  "object": "event",  "type": "collection.succeeded",  "created_at": "2019-08-24T14:15:22Z",  "mode": "live",  "data": {    "id": "string",    "object": "collection",    "status": "created",    "amount": 0,    "fee": 0,    "currency": "TZS",    "channel": "MPESA_TZ",    "phone": "string",    "reference": "string",    "description": "string",    "metadata": {},    "failure_code": "insufficient_funds",    "failure_message": "string",    "mode": "live",    "created_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z"  }}